<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [iceshrimp-js](./iceshrimp-js.md) &gt; [entities](./iceshrimp-js.entities.md) &gt; [NoteReaction](./iceshrimp-js.entities.notereaction.md)

## entities.NoteReaction type

**Signature:**

```typescript
export declare type NoteReaction = {
	id: ID;
	createdAt: DateString;
	user: UserLite;
	type: string;
};
```
**References:** [ID](./iceshrimp-js.entities.id.md)<!-- -->, [DateString](./iceshrimp-js.entities.datestring.md)<!-- -->, [UserLite](./iceshrimp-js.entities.userlite.md)

